Skip to main content Skip to footer
Get 15% Off Select Orders, No Minimum or Call 800-348-5003 For Even Better Deals

  • Alert Me
  • Print
Download

PSP Audioware L'otary 2 (Download)

  • Write a Review

The PSP L’otary from PSP Audioware is a high-quality emulation of a rotary speaker based upon two original and legendary models: the Leslie 122 and 1...Click To Read More About This Product

Download After Purchase!

  • Your Price :
    $99.00
Add to Cart

Availability: 

After finalizing your order for this downloadable product you'll receive an activation key via email. This email will include a product link and directions for downloading.(Credit approval may take up to 24 hours.)

SKU 
L83565000000000
Add to Wish List

Earn up to 495 reward points.

OVERVIEW

Powerful plug-in based on the Leslie 122 and 147 speakers.

The PSP L’otary from PSP Audioware is a high-quality emulation of a rotary speaker based upon two original and legendary models: the Leslie 122 and 147. PSP L’otary is capable of reproducing as precisely as possible the classic sounds of those famous rotary speakers as well as creative divergences from the original. For example, you could set up both the rotating high-frequency horn and the rotating low-frequency drum independently from each other, and emulate speakers with a static drum—or even a broken horn or drum engine.

MPN: 1035-1200

Download PSP L'otary today.

SPECIFICATIONS
PC System Requirements

  • VST
  • Windows x32 or x64 (XP Service Pack 2, Vista, 7 or 8)
  • VST 2.4 compatible application
  • RTAS
  • Windows x32 or x64 (XP Service Pack 2, Vista or 7 or 8)
  • ProTools LE 8.0.0 or ProTools TDM 8.0.0 (or later)
  • AAX
  • Windows x32 or x64 (XP Service Pack 2, Vista 7 or 8)
Mac System Requirements

  • AudioUnit
  • Mac OS X 10.5–10.10 or later
  • 32- or 64-bit host application capable of running AudioUnit plug-ins with Cocoa view
  • VST
  • Mac OS X 10.5–10.10 or later
  • 32- or 64-bit VST 2.4 compatible host application
  • RTAS
  • Mac OS X 10.5–10.10 or later
  • ProTools LE 8.0.0 or ProTools TDM 8.0.0 (or later)
  • AAX
  • Mac OS X 10.8–10.10 or later
  • Pro Tools 11 or later

This oversized item has special shipping requirements

Restrictions

Reviews
Questions & Answers View All
Loading....
Questions & Answers
Customer Service

Sign up for the latest deals!

2022© Woodwind & Brasswind. All rights reserved.     Do Not Sell My Info (CA Only) | Terms & Conditions | Privacy Policy | Accessibility Statement

You are changing the Ship-To country.

Our product catalog varies by country due to manufacturer restrictions. If you change the Ship-To country, some or all of the items in your cart may not ship to the new destination.